m = Map("cgminer", translate("Configuration"), translate(""))

conf = m:section(TypedSection, "cgminer", "")
conf.anonymous = true
conf.addremove = false

conf:tab("default", translate("General Settings"))

pool1url = conf:taboption("default", Value, "pool1url", translate("Pool 1"))
pool1user = conf:taboption("default", Value, "pool1user", translate("Pool1 worker"))
pool1pw = conf:taboption("default", Value, "pool1pw", translate("Pool1 password"))
conf:taboption("default", DummyValue, "", translate(""))
pool2url = conf:taboption("default", Value, "pool2url", translate("Pool 2"))
pool2user = conf:taboption("default", Value, "pool2user", translate("Pool2 worker"))
pool2pw = conf:taboption("default", Value, "pool2pw", translate("Pool2 password"))
conf:taboption("default", DummyValue, "", translate(""))
pool3url = conf:taboption("default", Value, "pool3url", translate("Pool 3"))
pool3user = conf:taboption("default", Value, "pool3user", translate("Pool3 worker"))
pool3pw = conf:taboption("default", Value, "pool3pw", translate("Pool3 password"))
conf:taboption("default", DummyValue, "", translate(""))

pb = conf:taboption("default", ListValue, "pool_balance", translate("Pool Balance(Default: Failover)"))
pb.default = "  "
pb:value("  ", translate("Failover"))
pb:value("--balance", translate("Balance"))
pb:value("--load-balance", translate("Load Balance"))

pb = conf:taboption("default", ListValue, "bitmain_beeper", translate("Beeper ringing(Default: false)"))
pb.default = "  "
pb:value("  ", translate("false"))
pb:value("--bitmainbeeper", translate("true"))

pb = conf:taboption("default", ListValue, "bitmain_tempoverctrl", translate("Stop running when temprerature is over 80 degrees centigrade(Default: true)"))
pb.default = "--bitmaintempoverctrl"
pb:value("  ", translate("false"))
pb:value("--bitmaintempoverctrl", translate("true"))

api_allow = conf:taboption("default", Value, "api_allow", translate("API Allow(Default: W:127.0.0.1,R:0/0)"))
api_allow.default = "W:127.0.0.1,R:0/0"

more_options = conf:taboption("default", Value, "more_options", translate("More Options(Default: --quiet)"))
more_options.default = "--quiet"

conf:tab("advanced", translate("Advanced Settings"))
pb = conf:taboption("advanced", ListValue, "freq", translate("Frequency"),"Warning on values marked - may cause damage!!!") 
pb.default = "18:218.75:1106"
pb:value("13:300:0b82", translate("300M (* Warning)"))
pb:value("14:293.75:1706", translate("293.75M (* Warning)"))
pb:value("14:287.5:0b02", translate("287.5M (* Warning)"))
pb:value("14:281.25:1606", translate("281.25M (* Warning)"))
pb:value("15:275:0a82", translate("275M (* Warning)"))
pb:value("15:268.75:1506", translate("268.75M (* Warning)"))
pb:value("15:262.5:0a02", translate("262.5M (* Warning)"))
pb:value("15:256.25:1406", translate("256.25M (* Warning)"))
pb:value("16:250:0982", translate("250M"))
pb:value("17:243.75:1306", translate("243.75M"))
pb:value("17:237.5:1286", translate("237.5M"))
pb:value("17:231.25:1206", translate("231.25M"))
pb:value("18:225:0882", translate("225M (S3+ default)"))
pb:value("18:218.75:1106", translate("218.75M (S3 default)")) 
pb:value("18:212.5:1086", translate("212.5M"))
pb:value("19:206.25:1006", translate("206.25M"))
pb:value("20:200:0782", translate("200M"))
pb:value("20:196:1f07", translate("196M"))
pb:value("20:193:0f03", translate("193M"))
pb:value("23:175:0d83", translate("175M"))
pb:value("27:150:0b83", translate("150M"))
pb:value("33:125:0983", translate("125M"))
pb:value("40:100:0783", translate("100M"))
  
pb = conf:taboption("advanced", Value, "voltage", translate("voltage"),"Modify voltage and Save &#38; Apply, then need to Power off and Restart")
conf:option(Value,"voltage", "voltage")

return m
